com.icesoft.faces.context.effects

## Class Scale

- java.lang.Object
- - com.icesoft.faces.context.effects.Effect
  - - com.icesoft.faces.context.effects.Scale

- All Implemented Interfaces:
    java.io.Serializable

      public class Scale
      extends Effect

  script.aculo.us scale effect

  Grow or shrink an element by a specifed percent. (Default 50%)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.icesoft.faces.context.effects.Effect

      `ea`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Scale(float to)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getFunctionName()` get the name of the Function call to invoke the effect
    `float` | `getScaleFrom()`
    `java.lang.String` | `getScaleMode()`
    `float` | `getScaleTo()`
    `boolean` | `isScaleContent()`
    `boolean` | `isScaleFromCenter()`
    `boolean` | `isScaleX()`
    `boolean` | `isScaleY()`
    `void` | `setScaleContent(boolean scaleContent)`
    `void` | `setScaleFrom(float scaleFrom)`
    `void` | `setScaleFromCenter(boolean scaleFromCenter)`
    `void` | `setScaleMode(java.lang.String scaleMode)`
    `void` | `setScaleTo(float scaleTo)`
    `void` | `setScaleX(boolean scaleX)`
    `void` | `setScaleY(boolean scaleY)`
    `java.lang.String` | `toString()`
    `java.lang.String` | `toString(java.lang.String var, java.lang.String lastCall)`

    - ### Methods inherited from class com.icesoft.faces.context.effects.Effect

      `getDelay, getDuration, getFps, getFrom, getId, getIntfromString, getQueue, getSequence, getSequenceId, getTo, hashCode, isFired, isQueued, isQueueEnd, isSubmit, isSync, isTransitory, setDelay, setDuration, setFired, setFps, setFrom, setId, setOptions, setQueue, setQueued, setQueueEnd, setSequence, setSequenceId, setSubmit, setSync, setTo, setTransitory`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Scale

          public Scale(float to)

  - ### Method Detail

    - #### isScaleX

          public boolean isScaleX()

    - #### setScaleX

          public void setScaleX(boolean scaleX)

    - #### isScaleY

          public boolean isScaleY()

    - #### setScaleY

          public void setScaleY(boolean scaleY)

    - #### isScaleContent

          public boolean isScaleContent()

    - #### setScaleContent

          public void setScaleContent(boolean scaleContent)

    - #### isScaleFromCenter

          public boolean isScaleFromCenter()

    - #### setScaleFromCenter

          public void setScaleFromCenter(boolean scaleFromCenter)

    - #### getScaleMode

          public java.lang.String getScaleMode()

    - #### setScaleMode

          public void setScaleMode(java.lang.String scaleMode)

    - #### getScaleFrom

          public float getScaleFrom()

    - #### setScaleFrom

          public void setScaleFrom(float scaleFrom)

    - #### getScaleTo

          public float getScaleTo()

    - #### setScaleTo

          public void setScaleTo(float scaleTo)

    - #### getFunctionName

          public java.lang.String getFunctionName()

      Description copied from class: `Effect`
      get the name of the Function call to invoke the effect
      Specified by:
        `getFunctionName` in class `Effect`
      Returns:

    - #### toString

          public java.lang.String toString(java.lang.String var,
                                           java.lang.String lastCall)

      Overrides:
        `toString` in class `Effect`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Effect`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `Effect`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.